# `PETSc_jll.jl` (v3.16.7+0)

[![deps](https://juliahub.com/docs/PETSc_jll/deps.svg)](https://juliahub.com/ui/Packages/PETSc_jll/dVpqm?page=2)

This is an autogenerated package constructed using [`BinaryBuilder.jl`](https://github.com/JuliaPackaging/BinaryBuilder.jl).

The originating [`build_tarballs.jl`](https://github.com/JuliaPackaging/Yggdrasil/blob/be42025aac0449ee0606152a49f56a6be0badf44/P/PETSc/build_tarballs.jl) script can be found on [`Yggdrasil`](https://github.com/JuliaPackaging/Yggdrasil/), the community build tree.

## Bug Reports

If you have any issue, please report it to the Yggdrasil [bug tracker](https://github.com/JuliaPackaging/Yggdrasil/issues).

## Documentation

For more details about JLL packages and how to use them, see `BinaryBuilder.jl` [documentation](https://docs.binarybuilder.org/stable/jll/).

## Sources

The tarballs for `PETSc_jll.jl` have been built from these sources:

* compressed archive: https://www.mcs.anl.gov/petsc/mirror/release-snapshots/petsc-3.16.6.tar.gz (SHA256 checksum: `bfc836b52f57686b583c16ab7fae0c318a7b28141ca01656ad673c8ca23037fa`)
* files in directory, relative to originating `build_tarballs.jl`: [`./bundled`](https://github.com/JuliaPackaging/Yggdrasil/tree/be42025aac0449ee0606152a49f56a6be0badf44/P/PETSc/bundled)

## Platforms

`PETSc_jll.jl` is available for the following platforms:

* `macOS aarch64 {libgfortran_version=5.0.0, mpi=mpich}` (`aarch64-apple-darwin-libgfortran5-mpi+mpich`)
* `macOS aarch64 {libgfortran_version=5.0.0, mpi=mpitrampoline}` (`aarch64-apple-darwin-libgfortran5-mpi+mpitrampoline`)
* `macOS aarch64 {libgfortran_version=5.0.0, mpi=openmpi}` (`aarch64-apple-darwin-libgfortran5-mpi+openmpi`)
* `Linux aarch64 {libc=glibc, libgfortran_version=3.0.0, mpi=mpich}` (`aarch64-linux-gnu-libgfortran3-mpi+mpich`)
* `Linux aarch64 {libc=glibc, libgfortran_version=3.0.0, mpi=mpitrampoline}` (`aarch64-linux-gnu-libgfortran3-mpi+mpitrampoline`)
* `Linux aarch64 {libc=glibc, libgfortran_version=3.0.0, mpi=openmpi}` (`aarch64-linux-gnu-libgfortran3-mpi+openmpi`)
* `Linux aarch64 {libc=glibc, libgfortran_version=4.0.0, mpi=mpich}` (`aarch64-linux-gnu-libgfortran4-mpi+mpich`)
* `Linux aarch64 {libc=glibc, libgfortran_version=4.0.0, mpi=mpitrampoline}` (`aarch64-linux-gnu-libgfortran4-mpi+mpitrampoline`)
* `Linux aarch64 {libc=glibc, libgfortran_version=4.0.0, mpi=openmpi}` (`aarch64-linux-gnu-libgfortran4-mpi+openmpi`)
* `Linux aarch64 {libc=glibc, libgfortran_version=5.0.0, mpi=mpich}` (`aarch64-linux-gnu-libgfortran5-mpi+mpich`)
* `Linux aarch64 {libc=glibc, libgfortran_version=5.0.0, mpi=mpitrampoline}` (`aarch64-linux-gnu-libgfortran5-mpi+mpitrampoline`)
* `Linux aarch64 {libc=glibc, libgfortran_version=5.0.0, mpi=openmpi}` (`aarch64-linux-gnu-libgfortran5-mpi+openmpi`)
* `Linux aarch64 {libc=musl, libgfortran_version=3.0.0, mpi=mpich}` (`aarch64-linux-musl-libgfortran3-mpi+mpich`)
* `Linux aarch64 {libc=musl, libgfortran_version=3.0.0, mpi=openmpi}` (`aarch64-linux-musl-libgfortran3-mpi+openmpi`)
* `Linux aarch64 {libc=musl, libgfortran_version=4.0.0, mpi=mpich}` (`aarch64-linux-musl-libgfortran4-mpi+mpich`)
* `Linux aarch64 {libc=musl, libgfortran_version=4.0.0, mpi=openmpi}` (`aarch64-linux-musl-libgfortran4-mpi+openmpi`)
* `Linux aarch64 {libc=musl, libgfortran_version=5.0.0, mpi=mpich}` (`aarch64-linux-musl-libgfortran5-mpi+mpich`)
* `Linux aarch64 {libc=musl, libgfortran_version=5.0.0, mpi=openmpi}` (`aarch64-linux-musl-libgfortran5-mpi+openmpi`)
* `Linux armv6l {call_abi=eabihf, libc=glibc, libgfortran_version=3.0.0, mpi=mpich}` (`armv6l-linux-gnueabihf-libgfortran3-mpi+mpich`)
* `Linux armv6l {call_abi=eabihf, libc=glibc, libgfortran_version=3.0.0, mpi=mpitrampoline}` (`armv6l-linux-gnueabihf-libgfortran3-mpi+mpitrampoline`)
* `Linux armv6l {call_abi=eabihf, libc=glibc, libgfortran_version=4.0.0, mpi=mpich}` (`armv6l-linux-gnueabihf-libgfortran4-mpi+mpich`)
* `Linux armv6l {call_abi=eabihf, libc=glibc, libgfortran_version=4.0.0, mpi=mpitrampoline}` (`armv6l-linux-gnueabihf-libgfortran4-mpi+mpitrampoline`)
* `Linux armv6l {call_abi=eabihf, libc=glibc, libgfortran_version=5.0.0, mpi=mpich}` (`armv6l-linux-gnueabihf-libgfortran5-mpi+mpich`)
* `Linux armv6l {call_abi=eabihf, libc=glibc, libgfortran_version=5.0.0, mpi=mpitrampoline}` (`armv6l-linux-gnueabihf-libgfortran5-mpi+mpitrampoline`)
* `Linux armv6l {call_abi=eabihf, libc=musl, libgfortran_version=3.0.0, mpi=mpich}` (`armv6l-linux-musleabihf-libgfortran3-mpi+mpich`)
* `Linux armv6l {call_abi=eabihf, libc=musl, libgfortran_version=3.0.0, mpi=openmpi}` (`armv6l-linux-musleabihf-libgfortran3-mpi+openmpi`)
* `Linux armv6l {call_abi=eabihf, libc=musl, libgfortran_version=4.0.0, mpi=mpich}` (`armv6l-linux-musleabihf-libgfortran4-mpi+mpich`)
* `Linux armv6l {call_abi=eabihf, libc=musl, libgfortran_version=4.0.0, mpi=openmpi}` (`armv6l-linux-musleabihf-libgfortran4-mpi+openmpi`)
* `Linux armv6l {call_abi=eabihf, libc=musl, libgfortran_version=5.0.0, mpi=mpich}` (`armv6l-linux-musleabihf-libgfortran5-mpi+mpich`)
* `Linux armv6l {call_abi=eabihf, libc=musl, libgfortran_version=5.0.0, mpi=openmpi}` (`armv6l-linux-musleabihf-libgfortran5-mpi+openmpi`)
* `Linux armv7l {call_abi=eabihf, libc=glibc, libgfortran_version=3.0.0, mpi=mpich}` (`armv7l-linux-gnueabihf-libgfortran3-mpi+mpich`)
* `Linux armv7l {call_abi=eabihf, libc=glibc, libgfortran_version=3.0.0, mpi=mpitrampoline}` (`armv7l-linux-gnueabihf-libgfortran3-mpi+mpitrampoline`)
* `Linux armv7l {call_abi=eabihf, libc=glibc, libgfortran_version=3.0.0, mpi=openmpi}` (`armv7l-linux-gnueabihf-libgfortran3-mpi+openmpi`)
* `Linux armv7l {call_abi=eabihf, libc=glibc, libgfortran_version=4.0.0, mpi=mpich}` (`armv7l-linux-gnueabihf-libgfortran4-mpi+mpich`)
* `Linux armv7l {call_abi=eabihf, libc=glibc, libgfortran_version=4.0.0, mpi=mpitrampoline}` (`armv7l-linux-gnueabihf-libgfortran4-mpi+mpitrampoline`)
* `Linux armv7l {call_abi=eabihf, libc=glibc, libgfortran_version=4.0.0, mpi=openmpi}` (`armv7l-linux-gnueabihf-libgfortran4-mpi+openmpi`)
* `Linux armv7l {call_abi=eabihf, libc=glibc, libgfortran_version=5.0.0, mpi=mpich}` (`armv7l-linux-gnueabihf-libgfortran5-mpi+mpich`)
* `Linux armv7l {call_abi=eabihf, libc=glibc, libgfortran_version=5.0.0, mpi=mpitrampoline}` (`armv7l-linux-gnueabihf-libgfortran5-mpi+mpitrampoline`)
* `Linux armv7l {call_abi=eabihf, libc=glibc, libgfortran_version=5.0.0, mpi=openmpi}` (`armv7l-linux-gnueabihf-libgfortran5-mpi+openmpi`)
* `Linux armv7l {call_abi=eabihf, libc=musl, libgfortran_version=3.0.0, mpi=mpich}` (`armv7l-linux-musleabihf-libgfortran3-mpi+mpich`)
* `Linux armv7l {call_abi=eabihf, libc=musl, libgfortran_version=3.0.0, mpi=openmpi}` (`armv7l-linux-musleabihf-libgfortran3-mpi+openmpi`)
* `Linux armv7l {call_abi=eabihf, libc=musl, libgfortran_version=4.0.0, mpi=mpich}` (`armv7l-linux-musleabihf-libgfortran4-mpi+mpich`)
* `Linux armv7l {call_abi=eabihf, libc=musl, libgfortran_version=4.0.0, mpi=openmpi}` (`armv7l-linux-musleabihf-libgfortran4-mpi+openmpi`)
* `Linux armv7l {call_abi=eabihf, libc=musl, libgfortran_version=5.0.0, mpi=mpich}` (`armv7l-linux-musleabihf-libgfortran5-mpi+mpich`)
* `Linux armv7l {call_abi=eabihf, libc=musl, libgfortran_version=5.0.0, mpi=openmpi}` (`armv7l-linux-musleabihf-libgfortran5-mpi+openmpi`)
* `Linux i686 {libc=glibc, libgfortran_version=3.0.0, mpi=mpich}` (`i686-linux-gnu-libgfortran3-mpi+mpich`)
* `Linux i686 {libc=glibc, libgfortran_version=3.0.0, mpi=mpitrampoline}` (`i686-linux-gnu-libgfortran3-mpi+mpitrampoline`)
* `Linux i686 {libc=glibc, libgfortran_version=3.0.0, mpi=openmpi}` (`i686-linux-gnu-libgfortran3-mpi+openmpi`)
* `Linux i686 {libc=glibc, libgfortran_version=4.0.0, mpi=mpich}` (`i686-linux-gnu-libgfortran4-mpi+mpich`)
* `Linux i686 {libc=glibc, libgfortran_version=4.0.0, mpi=mpitrampoline}` (`i686-linux-gnu-libgfortran4-mpi+mpitrampoline`)
* `Linux i686 {libc=glibc, libgfortran_version=4.0.0, mpi=openmpi}` (`i686-linux-gnu-libgfortran4-mpi+openmpi`)
* `Linux i686 {libc=glibc, libgfortran_version=5.0.0, mpi=mpich}` (`i686-linux-gnu-libgfortran5-mpi+mpich`)
* `Linux i686 {libc=glibc, libgfortran_version=5.0.0, mpi=mpitrampoline}` (`i686-linux-gnu-libgfortran5-mpi+mpitrampoline`)
* `Linux i686 {libc=glibc, libgfortran_version=5.0.0, mpi=openmpi}` (`i686-linux-gnu-libgfortran5-mpi+openmpi`)
* `Linux i686 {libc=musl, libgfortran_version=3.0.0, mpi=mpich}` (`i686-linux-musl-libgfortran3-mpi+mpich`)
* `Linux i686 {libc=musl, libgfortran_version=3.0.0, mpi=openmpi}` (`i686-linux-musl-libgfortran3-mpi+openmpi`)
* `Linux i686 {libc=musl, libgfortran_version=4.0.0, mpi=mpich}` (`i686-linux-musl-libgfortran4-mpi+mpich`)
* `Linux i686 {libc=musl, libgfortran_version=4.0.0, mpi=openmpi}` (`i686-linux-musl-libgfortran4-mpi+openmpi`)
* `Linux i686 {libc=musl, libgfortran_version=5.0.0, mpi=mpich}` (`i686-linux-musl-libgfortran5-mpi+mpich`)
* `Linux i686 {libc=musl, libgfortran_version=5.0.0, mpi=openmpi}` (`i686-linux-musl-libgfortran5-mpi+openmpi`)
* `Linux powerpc64le {libc=glibc, libgfortran_version=3.0.0, mpi=mpich}` (`powerpc64le-linux-gnu-libgfortran3-mpi+mpich`)
* `Linux powerpc64le {libc=glibc, libgfortran_version=3.0.0, mpi=mpitrampoline}` (`powerpc64le-linux-gnu-libgfortran3-mpi+mpitrampoline`)
* `Linux powerpc64le {libc=glibc, libgfortran_version=3.0.0, mpi=openmpi}` (`powerpc64le-linux-gnu-libgfortran3-mpi+openmpi`)
* `Linux powerpc64le {libc=glibc, libgfortran_version=4.0.0, mpi=mpich}` (`powerpc64le-linux-gnu-libgfortran4-mpi+mpich`)
* `Linux powerpc64le {libc=glibc, libgfortran_version=4.0.0, mpi=mpitrampoline}` (`powerpc64le-linux-gnu-libgfortran4-mpi+mpitrampoline`)
* `Linux powerpc64le {libc=glibc, libgfortran_version=4.0.0, mpi=openmpi}` (`powerpc64le-linux-gnu-libgfortran4-mpi+openmpi`)
* `Linux powerpc64le {libc=glibc, libgfortran_version=5.0.0, mpi=mpich}` (`powerpc64le-linux-gnu-libgfortran5-mpi+mpich`)
* `Linux powerpc64le {libc=glibc, libgfortran_version=5.0.0, mpi=mpitrampoline}` (`powerpc64le-linux-gnu-libgfortran5-mpi+mpitrampoline`)
* `Linux powerpc64le {libc=glibc, libgfortran_version=5.0.0, mpi=openmpi}` (`powerpc64le-linux-gnu-libgfortran5-mpi+openmpi`)
* `macOS x86_64 {libgfortran_version=3.0.0, mpi=mpich}` (`x86_64-apple-darwin-libgfortran3-mpi+mpich`)
* `macOS x86_64 {libgfortran_version=3.0.0, mpi=mpitrampoline}` (`x86_64-apple-darwin-libgfortran3-mpi+mpitrampoline`)
* `macOS x86_64 {libgfortran_version=3.0.0, mpi=openmpi}` (`x86_64-apple-darwin-libgfortran3-mpi+openmpi`)
* `macOS x86_64 {libgfortran_version=4.0.0, mpi=mpich}` (`x86_64-apple-darwin-libgfortran4-mpi+mpich`)
* `macOS x86_64 {libgfortran_version=4.0.0, mpi=mpitrampoline}` (`x86_64-apple-darwin-libgfortran4-mpi+mpitrampoline`)
* `macOS x86_64 {libgfortran_version=4.0.0, mpi=openmpi}` (`x86_64-apple-darwin-libgfortran4-mpi+openmpi`)
* `macOS x86_64 {libgfortran_version=5.0.0, mpi=mpich}` (`x86_64-apple-darwin-libgfortran5-mpi+mpich`)
* `macOS x86_64 {libgfortran_version=5.0.0, mpi=mpitrampoline}` (`x86_64-apple-darwin-libgfortran5-mpi+mpitrampoline`)
* `macOS x86_64 {libgfortran_version=5.0.0, mpi=openmpi}` (`x86_64-apple-darwin-libgfortran5-mpi+openmpi`)
* `Linux x86_64 {libc=glibc, libgfortran_version=3.0.0, mpi=mpich}` (`x86_64-linux-gnu-libgfortran3-mpi+mpich`)
* `Linux x86_64 {libc=glibc, libgfortran_version=3.0.0, mpi=mpitrampoline}` (`x86_64-linux-gnu-libgfortran3-mpi+mpitrampoline`)
* `Linux x86_64 {libc=glibc, libgfortran_version=3.0.0, mpi=openmpi}` (`x86_64-linux-gnu-libgfortran3-mpi+openmpi`)
* `Linux x86_64 {libc=glibc, libgfortran_version=4.0.0, mpi=mpich}` (`x86_64-linux-gnu-libgfortran4-mpi+mpich`)
* `Linux x86_64 {libc=glibc, libgfortran_version=4.0.0, mpi=mpitrampoline}` (`x86_64-linux-gnu-libgfortran4-mpi+mpitrampoline`)
* `Linux x86_64 {libc=glibc, libgfortran_version=4.0.0, mpi=openmpi}` (`x86_64-linux-gnu-libgfortran4-mpi+openmpi`)
* `Linux x86_64 {libc=glibc, libgfortran_version=5.0.0, mpi=mpich}` (`x86_64-linux-gnu-libgfortran5-mpi+mpich`)
* `Linux x86_64 {libc=glibc, libgfortran_version=5.0.0, mpi=mpitrampoline}` (`x86_64-linux-gnu-libgfortran5-mpi+mpitrampoline`)
* `Linux x86_64 {libc=glibc, libgfortran_version=5.0.0, mpi=openmpi}` (`x86_64-linux-gnu-libgfortran5-mpi+openmpi`)
* `Linux x86_64 {libc=musl, libgfortran_version=3.0.0, mpi=mpich}` (`x86_64-linux-musl-libgfortran3-mpi+mpich`)
* `Linux x86_64 {libc=musl, libgfortran_version=3.0.0, mpi=openmpi}` (`x86_64-linux-musl-libgfortran3-mpi+openmpi`)
* `Linux x86_64 {libc=musl, libgfortran_version=4.0.0, mpi=mpich}` (`x86_64-linux-musl-libgfortran4-mpi+mpich`)
* `Linux x86_64 {libc=musl, libgfortran_version=4.0.0, mpi=openmpi}` (`x86_64-linux-musl-libgfortran4-mpi+openmpi`)
* `Linux x86_64 {libc=musl, libgfortran_version=5.0.0, mpi=mpich}` (`x86_64-linux-musl-libgfortran5-mpi+mpich`)
* `Linux x86_64 {libc=musl, libgfortran_version=5.0.0, mpi=openmpi}` (`x86_64-linux-musl-libgfortran5-mpi+openmpi`)
* `FreeBSD x86_64 {libgfortran_version=3.0.0, mpi=mpich}` (`x86_64-unknown-freebsd-libgfortran3-mpi+mpich`)
* `FreeBSD x86_64 {libgfortran_version=3.0.0, mpi=openmpi}` (`x86_64-unknown-freebsd-libgfortran3-mpi+openmpi`)
* `FreeBSD x86_64 {libgfortran_version=4.0.0, mpi=mpich}` (`x86_64-unknown-freebsd-libgfortran4-mpi+mpich`)
* `FreeBSD x86_64 {libgfortran_version=4.0.0, mpi=openmpi}` (`x86_64-unknown-freebsd-libgfortran4-mpi+openmpi`)
* `FreeBSD x86_64 {libgfortran_version=5.0.0, mpi=mpich}` (`x86_64-unknown-freebsd-libgfortran5-mpi+mpich`)
* `FreeBSD x86_64 {libgfortran_version=5.0.0, mpi=openmpi}` (`x86_64-unknown-freebsd-libgfortran5-mpi+openmpi`)
* `Windows x86_64 {libgfortran_version=3.0.0, mpi=microsoftmpi}` (`x86_64-w64-mingw32-libgfortran3-mpi+microsoftmpi`)
* `Windows x86_64 {libgfortran_version=4.0.0, mpi=microsoftmpi}` (`x86_64-w64-mingw32-libgfortran4-mpi+microsoftmpi`)
* `Windows x86_64 {libgfortran_version=5.0.0, mpi=microsoftmpi}` (`x86_64-w64-mingw32-libgfortran5-mpi+microsoftmpi`)

## Dependencies

The following JLL packages are required by `PETSc_jll.jl`:

* [`CompilerSupportLibraries_jll`](https://github.com/JuliaBinaryWrappers/CompilerSupportLibraries_jll.jl)
* [`MPICH_jll`](https://github.com/JuliaBinaryWrappers/MPICH_jll.jl)
* [`MPIPreferences`](https://github.com/JuliaBinaryWrappers/MPIPreferences.jl)
* [`MPItrampoline_jll`](https://github.com/JuliaBinaryWrappers/MPItrampoline_jll.jl)
* [`MicrosoftMPI_jll`](https://github.com/JuliaBinaryWrappers/MicrosoftMPI_jll.jl)
* [`OpenBLAS32_jll`](https://github.com/JuliaBinaryWrappers/OpenBLAS32_jll.jl)
* [`OpenMPI_jll`](https://github.com/JuliaBinaryWrappers/OpenMPI_jll.jl)

## Products

The code bindings within this package are autogenerated from the following `Products`:

* `LibraryProduct`: `libpetsc`
* `LibraryProduct`: `libpetsc_Float32_Complex_Int32`
* `LibraryProduct`: `libpetsc_Float32_Complex_Int64`
* `LibraryProduct`: `libpetsc_Float32_Real_Int32`
* `LibraryProduct`: `libpetsc_Float32_Real_Int64`
* `LibraryProduct`: `libpetsc_Float64_Complex_Int32`
* `LibraryProduct`: `libpetsc_Float64_Complex_Int64`
* `LibraryProduct`: `libpetsc_Float64_Real_Int32`
* `LibraryProduct`: `libpetsc_Float64_Real_Int64`
